<?php
/**
 * This file is part of
 *
 * ......................
 *
 * for pragmamx (www.pragmamx.org)
 *
 * $Revision 1.0 $
 * $Author: Olaf $
 * $Date: 2014-04-30 13:44:40 $
 *
 */


defined('mxMainFileLoaded') or die('access denied');
// Variablen definieren

mxGetLangfile(PMX_MODULE);
include_once(PMX_MODULES_DIR . DS . $module_name . DS . "includes/functions.php");

class Kontakt_admin {

    private $errors = array();
    private $form = null;
    private $homepage = '';
    private static $__set = array(); // Konfiguration
	private $kf = NULL;

    private static $_config = null;

	function __construct ($parameter="") {
		global $prefix;
		
		$this->modulname=(basename(dirname(dirname(__FILE__))));
		$this->kf= new KF_functions($this->modulname);
		$this->op=$parameter;
		self::$_config=$this->config_load();
		$this->main($this->op);
	}

    /**
     * class::__get()
     *
     * @param mixed $value_name
     * @return
     */
    public function __get($value_name)
    {
        if (isset(self::$__set[$value_name])) {
            return self::$__set[$value_name];
        }
        return false;
    }

    /**
     * class::__set()
     *
     * @param mixed $name
     * @param mixed $val
     * @return
     */
    public function __set($name, $val)
    {
        self::$__set[$name] = $val ;
    }

    /**
     * class::main()
     * @param string $action
     * @return 
     */

	function main ($op) {
		
		$info2=_CONTACT;
		$tb = load_class('AdminForm', "adminFormMain");
		
		
		switch (pmxAdminForm::CheckButton()) {
			case "save":
			case "accept":
				$temp=$_POST['config'];
				$this->config_save ($temp) ;
				mxRedirect("admin.php?op=".$this->modulname, _CHANGESAREOK, 0);
				break;
		}
		
		$config=$this->config_load();
		
		$tb = load_class('AdminForm', "adminFormMain");
		$tb->__set("tb_text", "");
		$tb->__set("tb_direction", 'right');
		$tb->__set("infobutton", true);
		$tb->__set("tb_pic_heigth", 22);
		$tb->__set("cssclass", "toolbar1");
		$tb->__set('homelink', false);
	
		$tb->addToolbar("save");
		$tb->addToolbarLink("cpanel", "admin.php?op=".$this->modulname);
	
		$formelement=array(_CF_CONF_NO=>0,_CF_CONF_YES=>1,_CF_CONF_REQUIRED=>2);
		
		/* Form elements */
		$tb->addFieldSet("head", _SETTINGS,"", false);
		$tb->addFieldSet("form", _CF_CONF_FORM,_CF_CONF_FORM_TEXT, false);
		$tb->addFieldSet("departs", _CF_DEPARTMENTS,"", false);
		$tb->add("head","input","config[mainmail]",$config['mainmail'],_CF_MAINMAIL,"",50,50);
		$tb->add("head","yesno","config[rightblocks]",$config['rightblocks'],_CF_SHOWRTBLKS,"",50,50);
		$tb->add("head","hidden","ok","1");
		
		
		$tb->add("form","select","config[form][subject]",$config['form']['subject'],_CF_FSUBJECT,"",1,$formelement);
		$tb->add("form","select","config[form][vpp]",$config['form']['vpp'],_CF_PERSONALP,"",1,$formelement);
		$tb->add("form","select","config[form][vvname]",$config['form']['vvname'],_CF_VVNAME,"",1,$formelement);
		$tb->add("form","select","config[form][vname]",$config['form']['vname'],_CF_VNAME,"",1,$formelement);
		$tb->add("form","select","config[form][street]",$config['form']['street'],_CF_VSTREET,"",1,$formelement);
		$tb->add("form","select","config[form][pcode]",$config['form']['pcode'],_CF_VPCODE,"",1,$formelement);
		$tb->add("form","select","config[form][city]",$config['form']['city'],_CF_VCITY,"",1,$formelement);
		$tb->add("form","select","config[form][telefon]",$config['form']['telefon'],_CF_VTELEPHONE,"",1,$formelement);
		$tb->add("form","select","config[form][telefax]",$config['form']['telefax'],_CF_VFAX,"",1,$formelement);
		$tb->add("form","yesno","config[form][wdate]",$config['form']['wdate'],_CF_VWDATE,"",1,$formelement);
		$tb->add("form","yesno","config[form][wdate1]",$config['form']['wdate1'],_CF_VWDATE1,"",1,$formelement);
		
		for ($i=0;$i<10;$i++) {
		$tb->add("departs","input","config[departs][$i]",$config['departs'][$i],($i+1)."."._CF_DEPARTMENTNAME,"",50,50);
		}
		
		$tb->add("form","yesno","config[sendreceive]",$config['sendreceive'],_CF_LETSENDRECEIVE,"",50,50);
		
		
		$form=$tb->Show();
		
		/*
		 * Template
		 */
		// Template initialisieren
		$template = load_class('Template');
		$template->init_path(__FILE__);
	
		/* hier die Ausgabefelder angeben */
    	$template->assign(compact('credits', 'toolbar', 'info2', 'form', 'formClose'));
		include('header.php');
		/* Template ausgeben (echo) */
		$template->display('admin.html');
		
		include('footer.php');
	}
	
    /**
     * Konfiguration auslesen ....
     * @param string $action
     * @return 
     */

	function config_save ($temp=array()) 
	{
		
		$this->kf->config_save($temp);
		
		
	}
	
	function config_load () 
	{
			$temp=$this->kf->config_load();

		return $temp;
	}
}

if (!isset($op)) $op="";
$tmp = new Kontakt_admin($op);
$tmp = null;


?>