<?php
/**
 * This file is part of
 *
 * ......................
 *
 * for pragmamx (www.pragmamx.org)
 *
 * $Revision 1.0 $
 * $Author: Olaf $
 * $Date: 2014-03-11 14:21:29 $
 *
 */

defined('mxMainFileLoaded') or die('access denied');


//    $module_name = basename(dirname(dirname(__FILE__)));
//    adminmenu(adminUrl($module_name), ((defined('_MXCONTACT')) ? _CONTACT : $module_name), 'contact_email.png', MX_ADMINPANEL_ADDON);

$hook = function($module_name, $options, &$menu)
{
    // in $options werden die Daten des aktuellen Admins übergeben,
    // wird für 'case' benötigt, z.B. die Berechtigung $radminsuper
    /* $options enthält die kompletten Daten des aktuellen Admins */
    extract($options, EXTR_SKIP);

    $menu[] = array(/* Menüpunkt */
        // boolsche Bedingung ob der Link angezeigt wird
        'case' => (true),
        // der Modulname
        'module' => $module_name,
        // Link zur Adminstartseite des Moduls
        'url' => adminUrl($module_name),
        // die Beschriftung für den Menüpunkt, sollte normalerweise
        // aus den core-Sprachdateien des Moduls kommen
        'title' => ((defined('_MXCONTACT')) ? _CONTACT : $module_name),
        // eine optionale Beschreibung des moduls, sollte normalerweise
        // aus den core-Sprachdateien des Moduls kommen
        'description' => '',
        // das Bildchen für den Menüpunkt mit Pfad
        'image' => "modules/$module_name/images/contact_email.png",
        // in welchem Tab der Menüpunkt erscheinen soll
        'panel' => MX_ADMINPANEL_ADDON,

        );
} ;

?>