<?php
/**
 * This file is part of
 *
 * ......................
 *
 * for pragmamx (www.pragmamx.org)
 *
 * $Revision 1.0 $
 * $Author: Olaf $
 * $Date: 2014-04-10 13:46:53 $
 *
 */


defined('mxMainFileLoaded') or die('access denied');
// Variablen definieren

$module_name = basename(dirname(__FILE__));
mxGetLangfile($module_name);
include_once(PMX_MODULES_DIR . DS . $module_name . DS . "includes/functions.php");

$GLOBALS['plugins']=0; // keine Verlinkung zugelassen
load_class('AdminForm',false);

class Contact_class {
    private $errors = array();
    private $form = null;
    private $homepage = '';

    private $config = null;
	private $kf = NULL;
	
    private static $__set = array(); // Konfigurtion

	function __construct ($act="") {
		global $prefix;
		
		$this->modulname=basename(dirname(__FILE__));
		$this->kf= new KF_functions($this->modulname);
		
		switch ($act) {
			default :
				$this->main($act);
			break;
		}
		
		
	}

    /**
     * class::__get()
     *
     * @param mixed $value_name
     * @return
     */
    public function __get($value_name)
    {
        if (isset(self::$__set[$value_name])) {
            return self::$__set[$value_name];
        }
        return false;
    }

    /**
     * class::__set()
     *
     * @param mixed $name
     * @param mixed $val
     * @return
     */
    public function __set($name, $val)
    {
        self::$__set[$name] = $val ;
    }

    /**
     * class::main()
     * @param string $action
     * @return 
     */

	function main ($act) {
	
		$info2=_CONTACT;
		$form="";
		$fdate=0;
		$fdate1=0;
		$user=mxGetUserData();
		$umail=$user['email'];

		$fvalue=array();
		$vname=$user['name'];
		$vvname=$user['uname'];
		$vstreet="";
		$vpcode="";
		$vcity="";
		$vtelefon="";
		$vtelefax="";
		$vmessage="";
		$vsubject="";
		$srecive=1;
		$personalp=$user['user_sexus'];
		$fvalue1['wdate']=array(_CF_WDATE_1=>1,_CF_WDATE_2=>2);
		$fvalue1['wdate1']=array(_CF_WDATE1_1=>1,_CF_WDATE1_2=>2,_CF_WDATE1_3=>3);
		$personalv=array(_CF_PP_SIR=>1,_CF_PP_MAAM=>2,_CF_PP_COMPANY=>3);
		
		$fvalue['wdate']=array_flip($fvalue1['wdate']);
		$fvalue['wdate1']=array_flip($fvalue1['wdate1']);		
		$config=$this->config_load();
		
		$GLOBALS['index']=$config['rightblocks'];
		
		$err="";
		/* auswertung */
		switch (pmxAdminForm::CheckButton()) {
			case "save":
			case "accept":
			case "submit":
				$email=strip_tags($_POST['yourmail']);
				$vsubject=trim(strip_tags($_POST['subject']));
				$vmessage=trim(strip_tags($_POST['vmessage']));
				/* if (filter_id ("validate_email" )) {
					if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
						$err .=_CF_ERROREMAILADDRESS."<br />";
					} 
				} */
				//unset($_POST['youmail'],$_POST['vsubject'],$_POST['vmessage']);
				foreach ($_POST as $ffeld=>$value) {
					$fvalue[$ffeld]=trim(strip_tags($value)); // alle Felder umwandeln
				}
				switch (true) {
						
					case (!pmxAdminForm::checkCaptcha('contacton')) : $err .=_CAPTCHAWRONG."<br />";	
					
					case (!mxCheckEmail($email) or pmx_is_mail_banned($email)): $err .=_CF_ERROREMAILADDRESS."<br />";
						
					case ($config['form']['subject']==2)&&(empty($vsubject)):$err .=_CF_ERRORSUBJECT."<br />";
						
					case (empty($vmessage)):$err .=_CF_ERRORMESSAGE."<br />";
					
					case true:
						foreach ($fvalue as $key=>$value) {
							if (array_key_exists($key,$config['form'])){
								if ($config['form'][$key]==2) { //required !!
									if ($fvalue[$key]=="") $err .=_CF_ERR_REQUIRED."<br />";
								}
							}
						}
					
				}
				if (empty($err)) {	/* wenn ok */
						$to =($config['mainmail']=="")?$GLOBALS['notify_email']:$config['mainmail'];
						//extract($fvalue);
						
						
						/* mail to admin */
						$messageadmin= mxUndoNltobr($this->replace_placeholder(_CF_TEXT_MAIL,$fvalue));
						$stat=mxMail($to, $fvalue['subject'], $messageadmin, $fvalue['yourmail'], 'text', '',$this->modulname );
						
						/* mail to user */
						$messageadmin=mxUndoNltobr($this->replace_placeholder(_CF_TEXT_MAIL_ADMIN."<br />"._CF_THANKSFORCONTACT."<br />"._CF_AREPWILLRESPOND."<br />".$GLOBALS['sitename'],$fvalue));
						if ($srecive==1 and $stat) mxMail($fvalue['yourmail'], $fvalue['subject'], $messageadmin, $fvalue['yourmail'], 'text', '',$this->modulname );
						
						switch ($stat) {
							case 'ok':
								$msg = '<p>' . _CF_THANKSFORCONTACT . '</p><p>' . _CF_AREPWILLRESPOND . '</p>';
								mxRedirect('modules.php?name=' . $this->modulname, $msg, 3);
								break;
				
							case 'nok':
								$msg = '<p>' . _CF_SENDERROR2 . '</p><p>' . _CF_SENDERROR3 . '</p>';
								mxRedirect('modules.php?name=' . $this->modulname, $msg, 10);
								break;
						}
				}
				extract($fvalue);
				break;
		}
		
		
		$yourmail=(isset($yourmail))?$yourmail:$umail;
		
		/* Kontaktformular */
		
		$tb = load_class('AdminForm', "contactform");
		$tb->__set("tb_text", "");
		$tb->__set("tb_direction", 'right');
		$tb->__set("infobutton", true);
		$tb->__set("tb_pic_heigth", 22);
		$tb->__set("cssclass", "toolbar");
		$tb->__set('homelink', false);
		$tb->__set('acceptbutton', false);
	
		$wdate=array(_CF_WDATE_1=>1,_CF_WDATE_2=>2);
		$wdate1=array(_CF_WDATE1_1=>1,_CF_WDATE1_2=>2,_CF_WDATE1_3=>3);
		$personalv=array(_CF_PP_SIR=>1,_CF_PP_MAAM=>2,_CF_PP_COMPANY=>3);
	
		/* Form elements */
		$tb->addFieldSet("head", _CF_CONTACTTITLE,_CF_PLEASEPROVIDE."<br/>* "._CF_INDICATESREQ, false);
		//$tb->add("head", "html",_CF_CONTACTNOTE);
		if (!empty($err)) {
				$tb->add("head","error",$err);
		}
		$tb->add("head","input","yourmail",$yourmail,_CF_YOUREMAIL." *",_CF_SENDERSEMAIL,50,50,"required='required'");
		$tb->add("head","select","personalp",$personalp,_CF_PERSONALP,"",1,$personalv);
		if ($config['form']['vvname']>0) 	$tb->add("head","input","vvname",$vvname,_CF_CONF_VNAME.(($config['form']['vvname']==2)?" *":"")
											,"",50,50,(($config['form']['vvname']==2)?"required='required'":""));
		if ($config['form']['vname']>0)		$tb->add("head","input","vname",$vname,_CF_YOURLASTNAME.(($config['form']['vname']==2)?" *":"")
											,"",50,50,(($config['form']['vname']==2)?"required='required'":""));
		if ($config['form']['street']>0)	$tb->add("head","input","street",$vstreet,_CF_VSTREET.(($config['form']['street']==2)?" *":"")
											,"",50,50,(($config['form']['street']==2)?"required='required'":""));
		if ($config['form']['pcode']>0)		$tb->add("head","input","pcode",$vpcode,_CF_VPCODE.(($config['form']['pcode']==2)?" *":"")
											,"",50,50,(($config['form']['pcode']==2)?"required='required'":""));
		if ($config['form']['city']>0)		$tb->add("head","input","city",$vcity,_CF_VCITY.(($config['form']['city']==2)?" *":"")
											,"",50,50,(($config['form']['city']==2)?"required='required'":""));
		if ($config['form']['telefon']>0)	$tb->add("head","input","telefon",$vtelefon,_CF_VTELEPHONE.(($config['form']['telefon']==2)?" *":"")
											,"",50,50,(($config['form']['telefon']==2)?"required='required'":""));
		if ($config['form']['telefax']>0)	$tb->add("head","input","telefax",$vtelefax,_CF_VFAX.(($config['form']['telefax']==2)?" *":"")
											,"",50,50,(($config['form']['telefax']==2)?"required='required'":""));
		
		//$tb->add("head","input","vsubject",$vsubject,_CF_FSUBJECT." *",_CF_ERRORSUBJECT,50,50,"required='required'");
		if ($config['form']['subject']>0)	$tb->add("head","input","subject",$vsubject,_CF_FSUBJECT.(($config['form']['subject']==2)?" *":"")
											,_CF_ERRORSUBJECT,50,50,(($config['form']['subject']==2)?"required='required'":""));
		$tb->add("head","textarea","vmessage",$vmessage,_CF_FMESSAGE." *",_CF_FMESSAGEEXPLAIN,60);
		
		if ($config['form']['wdate']==1)	$tb->add("head","select","fdate",$fvalue1['wdate'],_CF_VWDATE,"",1,$wdate);
		if ($config['form']['wdate1']==1)	$tb->add("head","select","fdate1",$fvalue1['wdate1'],_CF_VWDATE1,"",1,$wdate1);
		if ($config['sendreceive']==1)$tb->add("head","checkbox","srecive",$srecive,_CF_FMESSAGERECEIVE,"",1);
		$tb->add("head","captcha","captcha",'contacton',_CAPTCHAINSERT);
		$tb->add("head","info",sprintf(_CF_IPRECORDED, MX_REMOTE_ADDR));
		$tb->add("head","submitbutton","save",_SEND);
		$tb->add("head","hidden","ok","1");
		$tb->add("head","hidden","toolbarhide","1");
		
		$form=$tb->Show();
		
		/*
		 * Template
		 */
		// Template initialisieren
		$template = load_class('Template');
		$template->init_path(__FILE__);
	
		/* hier die Ausgabefelder angeben */
    	$template->assign(compact('credits', 'toolbar', 'info2', 'form', 'formClose'));
	
		/* hier die Ausgabefelder angeben */
    	$template->assign(compact('credits',  'form','info2'));
		include('header.php');
		/* Template ausgeben (echo) */
		$template->display('main.html');
		
		include('footer.php');
	}

	/**
	 * die Platzhalter im Mailtext ersetzen
	 */
	private function replace_placeholder($document,$data)
	{
		$today = mx_strftime(_XDATESTRING);
		$search = array ("{today}",
			"{fname}",
			"{lname}",
			"{uip}",
			"{email}",
			"{subject}",
			"{message}",
			"{anrede}",
			"{vvname}",
			"{vname}",
			"{defaultemail}",
			"{zipcode}",
			"{city}",
			"{street}",
			"{telephone}",
			"{telefax}",
			"{time1}",
			"{time2}",
			);
	
		$replace = array ($today,
			$data['vname'],
			$data['vvname'],
			MX_REMOTE_ADDR,
			$data['yourmail'],
			$data['subject'],
			$data['vmessage'],
			$data['personalp'],
			$data['vvname'],
			$data['vname'],
			$data['yourmail'],
			$data['pcode'],
			$data['city'],
			$data['street'],
			$data['telefon'],
			$data['telefax'],
			$data['wdate'][$data['fdate']],
			$data['wdate1'][$data['fdate1']],
			);
	
		$text = str_replace ($search, $replace, $document);
		return $text;
	}

    /**
     * Konfiguration auslesen ....
     * @param string $action
     * @return 
     */

	function config_save ($temp=array()) 
	{
		
		$this->kf->config_save($temp);
		
		
	}
	
	function config_load () 
	{
			$temp=$this->kf->config_load();

		return $temp;
	}
	
}

if (!isset($act)) $act="";
$tmp = new Contact_class($act);
$tmp = null;



?>