<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1 $
 * $Author: Olaf $
 * $Date: 2014-03-11 14:21:30 $
 *
 * translation by: Wilhelm Moellering, http://www.humanmedia.dk
 */

defined('mxMainFileLoaded') or die('access denied');

define("_CF_FSUBJECT", "Emne");
define("_CF_FMESSAGE", "Meddelelse");
define("_CF_PRETXT1", "ansvarlige,"); //Anrede, Vorname, Nachname folgen
define("_CF_AREP", ",fra område "); //Department name follows...
define("_CF_WILLRESPOND", " vil tage sig af sagen, så snart som mulig.");
define("_CF_SUBMITTED", "sendt");
define("_CF_THANKYOU", "Tak");
define("_CF_PLEASEPROVIDE", "skriv venligst følgende kontaktinformationer.");
define("_CF_INDICATESREQ", "nødvendigt");
define("_CF_IPRECORDED", "Din IP-Adresse (%s) bliver gemt af hensyn til sikkerheden.");
define("_CF_FMESSAGERECEIVE", "Send en kopi til dig selv?");
define("_CF_FMESSAGEEXPLAIN", "");
define("_CF_SERVICECLEAR", "slet");
define("_CF_SERVICEIPADMIN", "afsender IP");
define("_CF_SERVICEIP", "din IP adresse");
define("_CF_YOURLASTNAME", "dit efternavn");
define("_CF_MESSAGE", "meddelelse");
define("_CF_YOUREMAIL", "din email");
define("_CF_SERVICESELECT", "vælg kontaktperson");
define("_CF_CONTACTNOTE", "Alle kommentarer og forslag omkring <i>&quot;%s&quot;</i> er meget velkomne og værdifulde oplysninger for os.");
define("_CF_CONTACTTITLE", "KONTAKTFORMULAR");
define("_CF_ERROR", "Fejl!");
define("_CF_ERRORNAME", "Du har ikke skrevet dit navn.");
define("_CF_ERRORDEPT", "Vælg venligst et kontaktområde.");
define("_CF_ERRORLASTNAME", "Du har ikke skrevet dit efternavn.");
define("_CF_ERROREMAILADDRESS", "Du har skrevet en ikke gyldig emailadresse.");
define("_CF_ERRORSUBJECT", "Skriv venligst et emne.");
define("_CF_ERRORMESSAGE", "Du må også skrive en meddelelse.");
define("_CF_SENDERSEMAIL", "afsender email");
define("_CF_SENDERSNAME", "afsender navn");
define("_CF_SENDERSERVICE", "område");
define("_CF_SENDERMESSAGE", "bemærkning/ønske/meddelelse");
define("_CF_FBMAILSENT", "Din email blev succesfuldt sendt!");
define("_CF_THANKSFORCONTACT", "Mange tak for din meddelelse.");
define("_CF_AREPWILLRESPOND", "Den ansvarlige vil så snart som mulig svare dig.");
define("_CF_TIMESTRING", "d-m-Y (D) H:i");
define("_CF_SENDERROR", "Email ikke sendt! Der var følgende fejl:");
define("_CF_SENDERROR2", "Der skete en fejl:<br /><br /><b>Die email kun ikke sendes.</b>");
define("_CF_SENDERROR3", "Forsøg venligst senere igen.<br />Hvis fejlen dukker op igen, kontakt venligst <a href=\"mailto:" . $GLOBALS['adminmail'] . "\">webmasteren</a>.");
define("_CF_MAINMENU", "Hovedmenu");
define("_CF_DEPARTMENTS", "Fagområder");
define("_CF_BACKTOADMIN", "Tilbage til hovedadministration");
define("_CF_DEPARTMENTNAME", "Fagområde navn");
define("_CF_DEPARTMENTEMAIL", "Fagområde email");
define("_CF_ACTION", "Aktion");
define("_CF_NODEPTSYET", "Du har ingen fagområde endnu!");
define("_CF_ADDDEPT", "Tilføj fagområde.");
define("_CF_EDITDEPT", "Bearbejde fagområde");
define("_CF_AREYOUSUREDELDEPT", "Sikker på, at du vil slette dette fagområde?");
define("_CF_MAINMAIL", "Hovedhandicap email");
define("_CF_MAINPP", "Hovedhandicap  tiltale");
define("_CF_MAINVVNAME", "Hovedhandicap  fornavn");
define("_CF_MAINVNAME", "Hovedhandicap  navn");
define("_CF_REQCOLOR", "Ønsket color");
define("_CF_SHOWRTBLKS", "Vis højre blokke?");
define("_CF_SHOWDEPTS", "Vis fagområder?");
define("_CF_LETSENDRECEIVE", "Skal en kopie af meddelelsen sendes til afsenderen?");
define("_CF_REQLNAME", "Efternavn nødvendig?");
define("_CF_VVNAME", "Fornavn");
define("_CF_VNAME", "Navn");
define("_CF_PERSONALP", "Tiltale");
define("_CF_TEXT1", "<b>{today}</b>= Sendedato, <b>{uip}</b>=afsenderen IP-adresse, <b>{fname}</b>= Fornavn, <b>{lname}</b>= Efternavn, ");
define("_CF_TEXT2", "<b>{email}</b>= Emailadresse, <b>{message}</b>=Meddelelse, <b>{department}</b>= Afdeling, <b>{anrede}</b>= Tiltale, <b>{vvname}</b>= Den ansvarliges fornavn, ");
define("_CF_TEXT3", "<b>{vname}</b>= Den ansvarliges efternavn, <b>{defaultemail}</b>= Standard emailadresse. ");
define("_CF_DEPMAIL", "Meddelelse til afdeling");
define("_CF_CUSTMAIL", "Meddelelse til kunde");
define("_CF_INFOMAILTEXT", "Information til mail-tekst");

?>