<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1 $
 * $Author: Olaf $
 * $Date: 2014-03-11 14:21:30 $
 *
 * this file based on:
 * CZ Enhanced CONTACT
 * Copyright (c) 2004 by ~ Telli ~ (telli@codezwiz.com)
 * http://www.marsishere.net
 * edited by H.Grunert, http://www.marx-city.de
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

define("_CF_FSUBJECT", "Sujet");
define("_CF_FMESSAGE", "Message");
define("_CF_PRETXT1", "Un représentant,");
define("_CF_AREP", ",du département "); //Department name follows...
define("_CF_WILLRESPOND", "Le service en question vous répondra dès que possible.");
define("_CF_SUBMITTED", "Soumettre");
define("_CF_THANKYOU", "Merci");
define("_CF_PLEASEPROVIDE", "Veuillez remplir les informations ci-dessous:");
define("_CF_INDICATESREQ", "Champs requis");
define("_CF_IPRECORDED", "Pour des raisons de sécurité, votre adresse IP (%s) sera enregistrée.");
define("_CF_FMESSAGERECEIVE", "Reçevoir une copie:");
define("_CF_FMESSAGEEXPLAIN", "(Veuillez saisir votre texte dans le champ ci-dessus)");
define("_CF_SERVICECLEAR", "Effacer");
define("_CF_SERVICEIPADMIN", "IP de l'expéditeur");
define("_CF_SERVICEIP", "Votre adresse IP est:");
define("_CF_YOURLASTNAME", "Votre nom");
define("_CF_MESSAGE", "Message");
define("_CF_YOUREMAIL", "Votre courriel");
define("_CF_SERVICESELECT", "Choisir le service");
define("_CF_CONTACTNOTE", "Utilisez ce formulaire pour contacter n'importe quel service de <i>&quot;%s&quot;</i>. Merci!");
define("_CF_CONTACTTITLE", "Formulaire de contact");
define("_CF_ERROR", "Erreur!");
define("_CF_ERRORNAME", "Vous n'avez pas saisi votre prénom.");
define("_CF_ERRORDEPT", "Veuillez sélectionner le service que vous voulez contacter.");
define("_CF_ERRORLASTNAME", "Vous n'avez pas saisi votre nom.");
define("_CF_ERROREMAILADDRESS", "Vous n'avez pas saisi votre adresse de courrier électronique.");
define("_CF_ERRORSUBJECT", "Veuillez indiquer un sujet.");
define("_CF_ERRORMESSAGE", "Veuillez ajouter un message.");
define("_CF_SENDERSEMAIL", "Courriel de l'expéditeur");
define("_CF_SENDERSNAME", "Nom de l'expéditeur");
define("_CF_SENDERSERVICE", "Service");
define("_CF_SENDERMESSAGE", "Commentaires/Remarques/Message");
define("_CF_FBMAILSENT", "Le courriel a été envoyé!");
define("_CF_THANKSFORCONTACT", "Merci de nous avoir contacté.");
define("_CF_AREPWILLRESPOND", "Un représentant vous répondra dès que possible.");
define("_CF_TIMESTRING", "m-d-Y (D) g:i a");
define("_CF_SENDERROR", "Le courriel n'a pas été envoyé, l'erreur suivante s'est produite:");
define("_CF_SENDERROR2", "Une erreur s'est produite:<br/><br/><b>Le(s) courriel(s) n'ont pas pu être envoyé.</b>");
define("_CF_SENDERROR3", "Veuillez essayer ultérieurement.<br/>Si cette erreur se reproduit, veuillez en informer le <a href=\"mailto:" . $GLOBALS['adminmail'] . "\">webmaster</a>.");
define("_CF_MAINMENU", "Menu principal");
define("_CF_DEPARTMENTS", "Services");
define("_CF_BACKTOADMIN", "Retour vers l'administration");
define("_CF_DEPARTMENTNAME", "Nom du service");
define("_CF_DEPARTMENTEMAIL", "Courriel du service");
define("_CF_ACTION", "Action");
define("_CF_NODEPTSYET", "Vous n'avez pas encore défini de section!");
define("_CF_ADDDEPT", "Ajouter un service.");
define("_CF_EDITDEPT", "Modifier un service");
define("_CF_AREYOUSUREDELDEPT", "Etes-vous sûr de vouloir supprimer ce service ?");
define("_CF_MAINMAIL", "Courriel principal par défaut");
define("_CF_MAINPP", "Préfixe principal par défaut");
define("_CF_MAINVVNAME", "Nom principal par défaut");
define("_CF_MAINVNAME", "Prénom principal par défaut");
define("_CF_REQCOLOR", "Couleur choisie");
define("_CF_SHOWRTBLKS", "Afficher les blocs de droite:");
define("_CF_SHOWDEPTS", "Afficher les services:");
define("_CF_LETSENDRECEIVE", "Envoyer une copie à l'expéditeur:");
define("_CF_REQLNAME", "Prénom requis:");
define("_CF_VVNAME", "Nom");
define("_CF_VNAME", "Prénom");
define("_CF_PERSONALP", "Préfixe");
define("_CF_TEXT1", "<b>{today}</b>= Date, <b>{uip}</b>=Adresse IP de l'expéditeur, <b>{fname}</b>= Prénom, <b>{lname}</b>= Nom, ");
define("_CF_TEXT2", "<b>{email}</b>= Courriel, <b>{message}</b>=Message, <b>{department}</b>= Service, <b>{anrede}</b>= Préfixe, <b>{vvname}</b>= Prénom chef du service, ");
define("_CF_TEXT3", "<b>{vname}</b>= Nom chef du service, <b>{defaultemail}</b>= Courriel par défaut. ");
define("_CF_DEPMAIL", "Affichage du courriel pour un service");
define("_CF_CUSTMAIL", "Affichage du courriel pour un destinataire");
define("_CF_INFOMAILTEXT", "Indications pour le texte du courriel");

?>