<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.5 $
 * $Author: Olaf $
 * $Date: 2014-04-10 13:46:53 $
 *
 */

defined('mxMainFileLoaded') or die('access denied');

define("_CF_FSUBJECT", "Betreff");
define("_CF_FMESSAGE", "Nachricht");
define("_CF_PRETXT1", "Der Verantwortliche,"); //Anrede, Vorname, Nachname folgen
define("_CF_AREP", ",aus dem Bereich "); //Department name follows...
define("_CF_WILLRESPOND", " wird Ihre Nachricht sobald wie möglich bearbeiten.");
define("_CF_SUBMITTED", "gesendet");
define("_CF_THANKYOU", "Danke");
define("_CF_PLEASEPROVIDE", "geben Sie bitte die folgenden Kontaktinformationen an.");
define("_CF_INDICATESREQ", "Zeigt erforderliches Feld");
define("_CF_IPRECORDED", "Ihre IP-Adresse (%s) wird zu Sicherheitszwecken notiert.");
define("_CF_FMESSAGERECEIVE", "Kopie an Versender?");
define("_CF_FMESSAGEEXPLAIN", "(schreiben Sie bitte Ihre Frage, Anregung oder Mitteilung in den Kasten.)");
define("_CF_SERVICECLEAR", "löschen");
define("_CF_SERVICEIPADMIN", "Sender ip");
define("_CF_SERVICEIP", "Ihre IP Adresse");
define("_CF_YOURLASTNAME", "Ihr Nachname");
define("_CF_MESSAGE", "Nachricht");
define("_CF_YOUREMAIL", "Ihre Email");
define("_CF_SERVICESELECT", "Wählen Sie einen Fachbereich");
define("_CF_CONTACTNOTE", "Alle Anmerkungen und Vorschläge über <i>&quot;%s&quot;</i> sind sehr willkommen und wertvolle Informationen für uns. <br /><br />Vielen Dank!");
define("_CF_CONTACTTITLE", "Kontakt Formular");
define("_CF_ERROR", "Fehler!");
define("_CF_ERRORNAME", "Sie haben keinen Vornamen angegeben.");
define("_CF_ERRORDEPT", "Bitte wählen Sie den Fachbereich, den Sie kontaktieren wollen.");
define("_CF_ERRORLASTNAME", "Sie haben keinen Nachnamen angegeben.");
define("_CF_ERROREMAILADDRESS", "Sie haben keine gültige Email Adresse angegeben.");
define("_CF_ERRORSUBJECT", "Bitte Betreff angeben.");
define("_CF_ERRORMESSAGE", "Bitte das Nachrichtenfeld ausfüllen.");
define("_CF_SENDERSEMAIL", "Versender's Email");
define("_CF_SENDERSNAME", "Versender's Name");
define("_CF_SENDERSERVICE", "Fachbereich");
define("_CF_SENDERMESSAGE", "Anmerkung/Wunsch/Mitteilung");
define("_CF_FBMAILSENT", "Ihre Email wurde gesendet!");
define("_CF_THANKSFORCONTACT", "Vielen Dank für Ihre Nachricht.");
define("_CF_AREPWILLRESPOND", "Ein Verantwortlicher wird sobald wie möglich auf Ihre Email antworten.");
define("_CF_TIMESTRING", "d-m-Y (D) H:i");
define("_CF_SENDERROR", "E-Mail nicht verschickt, folgender Fehler ist aufgetreten:");
define("_CF_SENDERROR2", "Es ist ein Fehler aufgetreten:<br /><br /><b>Die Email(s) konnte(n) nicht gesendet werden.</b>");
define("_CF_SENDERROR3", "Bitte versuchen Sie es später noch einmal.<br />Falls der Fehler erneut auftritt, informieren Sie bitte den <a href=\"mailto:" . $GLOBALS['adminmail'] . "\">Webmaster</a>.");
define("_CF_MAINMENU", "Hauptmenü");
define("_CF_DEPARTMENTS", "Fachbereiche");
define("_CF_BACKTOADMIN", "Zurück zur Haupt Administration");
define("_CF_DEPARTMENTNAME", "Fachbereich Name");
define("_CF_DEPARTMENTEMAIL", "Fachbereich Email");
define("_CF_ACTION", "Aktion");
define("_CF_NODEPTSYET", "Sie haben noch keine Fachbereiche!");
define("_CF_ADDDEPT", "Fachbereich hinzufügen.");
define("_CF_EDITDEPT", "Fachbereich bearbeiten");
define("_CF_AREYOUSUREDELDEPT", "Sind Sie sicher das Sie diesen Fachbereich löschen möchten?");
define("_CF_MAINMAIL", "Haupt Vorgabe Email");
define("_CF_MAINPP", "Haupt Vorgabe Anrede");
define("_CF_MAINVVNAME", "Haupt Vorgabe Vorname");
define("_CF_MAINVNAME", "Haupt Vorgabe Name");
define("_CF_REQCOLOR", "gewünschte Farbe");
define("_CF_SHOWRTBLKS", "Zeige Rechte Blöcke?");
define("_CF_SHOWDEPTS", "Zeige Fachbereiche?");
define("_CF_LETSENDRECEIVE", "ermögliche Kopie der Nachricht an den Versender zu schicken?");
define("_CF_REQLNAME", "Nachname erforderlich?");
define("_CF_VVNAME", "Vorname");
define("_CF_VNAME", "Name");
define("_CF_PERSONALP", "Anrede");
define("_CF_TEXT1", "<b>{today}</b>= Sendedatum, <b>{uip}</b>=IP-Adresse des Versenders, <b>{fname}</b>= Vorname, <b>{lname}</b>= Nachname, ");
define("_CF_TEXT2", "<b>{email}</b>= E-Mail-Adresse, <b>{message}</b>=Nachricht, <b>{department}</b>= Abteilung, <b>{anrede}</b>= Anrede, <b>{vvname}</b>= Vorname des Verantwortlichen, ");
define("_CF_TEXT3", "<b>{vname}</b>= Nachname des Verantwortlichen, <b>{defaultemail}</b>= Standard Emailadresse. ");
define("_CF_DEPMAIL", "Nachricht an die Abteilung");
define("_CF_CUSTMAIL", "Nachricht an den Kunden");
define("_CF_INFOMAILTEXT", "Platzhalter für die E-Mail Texte");

/* Contact */

define("_CF_CONF_FORM","Formulardaten");
define("_CF_CONF_FORM_TEXT","Stellen Sie hier die benötigten Formularelemente zusammen.");


define("_CF_DATE","Wunschdatum");
define("_CF_PP_SIR","Herr");
define("_CF_PP_MAAM","Frau");
define("_CF_PP_COMPANY","Firma");
define("_CF_CONF_VNAME","Vorname");

define("_CF_VSTREET","Strasse");
define("_CF_VPCODE","PLZ");
define("_CF_VCITY","Stadt");
define("_CF_VTELEPHONE","Telefon");
define("_CF_VFAX","Telefax");
define("_CF_VWDATE","Wunschtermin");
define("_CF_VWDATE1","Zeit");

/* Auswahl Wunschtermin */
define("_CF_WDATE_1","Wochentags Mo-Fr");
define("_CF_WDATE_2","Wochenende Sa");

define("_CF_WDATE1_1","Vormittags 08:00-12:00 Uhr");
define("_CF_WDATE1_2","Nachmittags 14:00-18:00 Uhr");
define("_CF_WDATE1_3","Abends 18:00-20:00 Uhr");


/* auswahl Admin*/
define("_CF_CONF_YES","anzeigen");
define("_CF_CONF_NO","nicht anzeigen");
define("_CF_CONF_REQUIRED","anzeigen und erforderlich");

/* errors */
define("_CF_ERR_REQUIRED","Bitte füllen Sie die erforderlichen Felder aus!");

/* Mails */
define("_CF_TEXT_MAIL_ADMIN", "Anfrage von <b>{email}</b>= E-Mail-Adresse <br />Name : {vname} {vvname}<br />Adresse: {street}<br />{zipcode} - {city}<br/>Telefon: {telephone}<br/>Telefax: {telefax}<br /><b>Betreff</b>:{subject}<br>{message}<br/><br/>Kontaktwunsch: {time1} {time2}");

define("_CF_TEXT_MAIL", "Ihre Anfrage {today}<br />Ihre Daten: <br />Name : {vname} {vvname}<br />Adresse: {street}<br />{zipcode} - {city}<br/>Telefon: {telephone}<br/>Telefax: {telefax}<br /><b>Betreff</b>:{subject}<br>{message}<br/><br/>Kontaktwunsch: {time1} {time2}<br />");

?>