<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1 $
 * $Author: Olaf $
 * $Date: 2014-03-11 14:21:29 $
 */

$hook = function($module_name, $options, &$item)
{
    /* $options ist nur ein leerer dummy */
    // ? [] ? es wird ein doppeltes Array verwendet, damit pro Modul
    // mehrere Einstellungen gesetzt werden können
    $item[] = array(/*  */
        // der Modulname
        'module' => $module_name,
        // die beschriftung der option, sollte eigentlich aus der
        // core-Sprachdatei des Modules kommen
        'caption' => (defined('_' . strtoupper($module_name))) ? constant('_' . strtoupper($module_name)) : ucwords(str_replace('_', ' ', $module_name)),
        // Name der Konfigurationsvariablen, sollte kleingeschrieben
        // sein und darf nur aus Buchstaben bestehen
        'varname' => 'contacton',
        // Standardwert der Option, true oder false
        'default' => true,
        // bei hidden=true wird das Modul nich in den Einstellungen gelistet,
        // weil es eigene Captcha Einstellungen verwendet
        'hidden' => false,
        // Link zum entsprechenden Adminmodul
        'adminlink' => adminUrl($module_name),
        );
} ;

?>