<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1 $
 * $Author: Olaf $
 * $Date: 2014-03-11 14:21:30 $
 *
 * this file based on:
 * CZ Enhanced CONTACT
 * Copyright (c) 2004 by ~ Telli ~ (telli@codezwiz.com)
 * http://www.marsishere.net
 * edited by H.Grunert, http://www.marx-city.de
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 *
 * turkish language file, translated by:
 * Sıtkı Özkurt from www.akcaabat-acisu.com
 */

defined('mxMainFileLoaded') or die('access denied');

define("_CF_FSUBJECT", "Konu");
define("_CF_FMESSAGE", "Mesaj");
define("_CF_PRETXT1", "Görevli,"); //Anrede, Vorname, Nachname folgen
define("_CF_AREP", ",bölgeden "); //Department name follows...
define("_CF_WILLRESPOND", " mesajınızla yakın zamanda ilgilenecektir.");
define("_CF_SUBMITTED", "gönderildi");
define("_CF_THANKYOU", "Teşekkür ederiz");
define("_CF_PLEASEPROVIDE", "lütfen aşağıdaki gereken bilgilerinizi veriniz.");
define("_CF_INDICATESREQ", "Gereken bilgileri gösterir");
define("_CF_IPRECORDED", "IP adresiniz (%s) not edilecektir.");
define("_CF_FMESSAGERECEIVE", "Kopyası size gönderilsin mi?");
define("_CF_FMESSAGEEXPLAIN", "(sorularınızı, isteklerinizi veya bilgilerinizi kutunun içine yazabilirsiniz.)");
define("_CF_SERVICECLEAR", "sil");
define("_CF_SERVICEIPADMIN", "Gönderici IP");
define("_CF_SERVICEIP", "IP Adresiniz");
define("_CF_YOURLASTNAME", "Soyadınız");
define("_CF_MESSAGE", "Mesaj");
define("_CF_YOUREMAIL", "E-Posta adresiniz");
define("_CF_SERVICESELECT", "İlgilendiğiniz bölüm");
define("_CF_CONTACTNOTE", "<i>&quot;%s&quot;</i> hakkında yazdığınız yorum ve öneriler için teşekkür ederiz.");
define("_CF_CONTACTTITLE", "İletişim formları");
define("_CF_ERROR", "Hata!");
define("_CF_ERRORNAME", "Lütfen adınızı yazınız.");
define("_CF_ERRORDEPT", "Danışmak istediğniz bölümü seçiniz");
define("_CF_ERRORLASTNAME", "Lütfen soyadınızı yazınız.");
define("_CF_ERROREMAILADDRESS", "Lütfen e-posta adresinizi yazınız.");
define("_CF_ERRORSUBJECT", "Lütfen konuyu yazınız.");
define("_CF_ERRORMESSAGE", "Lütfen haber bölümünü doldurunuz.");
define("_CF_SENDERSEMAIL", "Gönderenin e-postası");
define("_CF_SENDERSNAME", "Gönderenin adı");
define("_CF_SENDERSERVICE", "Bölüm");
define("_CF_SENDERMESSAGE", "Bilgi/İstek/Haber");
define("_CF_FBMAILSENT", "E-postanız gönderildi!");
define("_CF_THANKSFORCONTACT", "Bize gönderdiğiniz mesaj ve bilgiler için teşekkür ederiz.");
define("_CF_AREPWILLRESPOND", "Bir görevli mesajınızla yakın zamanda ilgilenip size cevap verecektir.");
define("_CF_TIMESTRING", "d-m-Y (D) H:i");
define("_CF_SENDERROR", "HATA! E-posta gönderilemedi:");
define("_CF_SENDERROR2", "Bir hata oluştu:<br /><br /><b>Eposta(lar) gönderilemedi.</b>");
define("_CF_SENDERROR3", "Lütfen daha sonra tekrar deneyiniz.<br />Eğer bu hata tekrar oluşursa lütfen <a href=\"mailto:" . $GLOBALS['adminmail'] . "\">yöneticiyi</a> bilgilendirin.");
define("_CF_MAINMENU", "Ana Menü");
define("_CF_DEPARTMENTS", "Bölüm Alanları");
define("_CF_BACKTOADMIN", "Ana yönetimine geri dön");
define("_CF_DEPARTMENTNAME", "Bölüm Adı");
define("_CF_DEPARTMENTEMAIL", "Bölüm E-Posta Adresi");
define("_CF_ACTION", "Aksiyon");
define("_CF_NODEPTSYET", "Henüz bölüm alanlarınız yok!");
define("_CF_ADDDEPT", "Bölüm alanı ekle.");
define("_CF_EDITDEPT", "Bölüm alanı düzenle");
define("_CF_AREYOUSUREDELDEPT", "Bu bölüm alanını silmek istediğinizden emin misiniz?");
define("_CF_MAINMAIL", " E-Posta");
define("_CF_MAINPP", "Hitap");
define("_CF_MAINVVNAME", "Ad");
define("_CF_MAINVNAME", "Soyad");
define("_CF_REQCOLOR", "Arzu edilen renk");
define("_CF_SHOWRTBLKS", "Sağ blokları göster?");
define("_CF_SHOWDEPTS", "Bölümleri göster?");
define("_CF_LETSENDRECEIVE", "Gönderene mesajın kopyasının gönderilmesine imkan ver?");
define("_CF_REQLNAME", "Soyadı gerekli mi?");
define("_CF_VVNAME", "Adı");
define("_CF_VNAME", "Soyadı");
define("_CF_PERSONALP", "Hitap");
define("_CF_TEXT1", "<b>{today}</b>= Gönderilme tarihi, <b>{uip}</b>=Gönderenin IP-Adresi, <b>{fname}</b>= Adı, <b>{lname}</b>= Soyadı, ");
define("_CF_TEXT2", "<b>{email}</b>= E-Posta-Adresi, <b>{message}</b>=Mesaj, <b>{department}</b>= Bölüm, <b>{anrede}</b>= Hitap, <b>{vvname}</b>= Sorumlunun Adı, ");
define("_CF_TEXT3", "<b>{vname}</b>= Sorumlunun Soyadı, <b>{defaultemail}</b>= Standart E-Posta Adresi. ");
define("_CF_DEPMAIL", "Mesaj Taslağı");
define("_CF_CUSTMAIL", "Müşteri Mesaj Taslağı");
define("_CF_INFOMAILTEXT", "E-posta tekstleri için alan yeri");

?>